<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.22
Name: [3] Sekcja powodu skierowania do szpitala psychiatrycznego
Description: Szablon CDA dla powodu skierowania do szpitala psychiatrycznego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000">
   <title>[3] Sekcja powodu skierowania do szpitala psychiatrycznego</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']]
Item: (plCdaReferralToPsychiatricHospitalReasonForReferralSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']]"
         id="tmp-r-9e57edb2-7c28-4b48-9ce0-821367b69a12">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']/@nullFlavor)">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22'])&lt;=1">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']
Item: (plCdaReferralToPsychiatricHospitalReasonForReferralSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']"
         id="tmp-r-b2cb0b15-8860-4181-872c-fc4fb1f5f122">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.22'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.22']/@nullFlavor)">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.22'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.22'])&lt;=1">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.22'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="count(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): element hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="count(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): element hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): element hl7:text występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.22']
Item: (plCdaReferralToPsychiatricHospitalReasonForReferralSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.22']"
         id="tmp-r-d1cfdd7e-5c8f-47af-b9f1-6ef9e87c2f04">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.22'">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.22'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']/hl7:id
Item: (plCdaReferralToPsychiatricHospitalReasonForReferralSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']/hl7:id"
         id="tmp-r-384adae1-92bf-4fa5-ab0d-2de1bcea7aba">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']/hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaReferralToPsychiatricHospitalReasonForReferralSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']/hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-dccfa415-bd4d-46d1-9638-5f3339b955ed">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="@nullFlavor or (@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Reason for referral' and @codeSystemName='LOINC')">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): Wartość elementu MUSI wynosić code '42349-1' codeSystem '2.16.840.1.113883.6.1' displayName='Reason for referral' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']/hl7:text
Item: (plCdaReferralToPsychiatricHospitalReasonForReferralSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.22']/hl7:text"
         id="tmp-r-aa43fdea-3b73-4286-ae18-b97aac434dda">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.22-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToPsychiatricHospitalReasonForReferralSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
